Partners Blog Contact Us

VidyoWeb: About Version 1.3.26

Follow

What's New in This Release

Here's what's new in this release:

  • Safari 12® Error Message
    • Apple® has removed all NPAPI support for Safari 12. Therefore, if you try to use VidyoWeb on Safari 12, you will now see a message indicating that your browser is not supported and that you should use Internet Explorer®, Safari 11.x or lower, or Chrome™ instead.

      Here’s an example of the message you’ll see if you attempt to use VidyoWeb with Safari 12 on macOS Mojave:

      MacOS_10.14_beta_Safari_12.0.png

  • Security Enhancements
    • To improve security, VidyoWeb now uses the latest libraries.
    • We’ve made updates to VidyoWeb to prevent malicious attackers from exploiting a clickjacking vulnerability.

 

Compatibility

Platform and Browser Compatibility

The following table lists which OS platforms and browsers this version of VidyoWeb is compatible with.  

Compatible Platforms Compatible Browsers
Windows® 7 32-bit and 64-bit Chrome version 48 and later
Windows 8 32-bit and 64-bit Firefox® version 38.7.0 ESR and later, and earlier than version 52
Windows 8.1 32-bit and 64-bit Internet Explorer® version 11
Windows 10 32-bit and 64-bit Safari® version 9.0.3 and later, but earlier than version 12
Mac® OS X 10.8 – 10.11.6  
macOS® Sierra 10.12 and later  

 

In order for VidyoWeb to work properly with Chrome:

    • The VidyoWebConnector Chrome Extension must be enabled.
    • The minimum requirement is OpenGL 2.0, and the latest GPU/Graphics driver should be installed (with OpenGL 2.0 support).

 

VidyoWeb may run successfully in environments other than those listed in the table above; however, only these environments have been tested and are supported by Vidyo.

Vidyo has tested VidyoWeb using the out-of-box settings. Issues may occur when using different browsers and security settings.

 

Portal Compatibility

If you are an on-premises customer and you need to determine which version of the VidyoPortal™ your VidyoWeb version is compatible with, refer to the Vidyo Compatibility Matrix.

Resolved Issues

The following table lists the resolved issues in VidyoWeb version 1.3.26 (0001):

VidyoWeb Version 1.3.26 (0001) - Resolved Issues
Key Summary
VWEB-3552
and
VWEB-3545
Because NPAPI support is no longer available for Safari 12, when a user tries to use VidyoWeb on Safari 12, a message now appears indicating that the browser is not supported and that Internet Explorer, Safari 11.x or lower, or Chrome should be used instead.
VWEB-3554 For security purposes, VidyoWeb has been updated to use the latest Open SSL version, the latest libcurl version, and the latest VidyoClient libraries.
VWEB-3548
and
VWEB-3544
A clickjacking vulnerability has been addressed.

 

Was this article helpful?
0 out of 0 found this helpful

Comments

0 comments

Please sign in to leave a comment.